const path = require('path');
function resolve(dir) {
    return path.join(__dirname, dir)
}
module.exports = {
    lintOnSave: true,
    chainWebpack: (config) => {
        config.resolve.alias
            .set('@$', resolve('src'))
            .set('assets', resolve('src/assets'))
            .set('components', resolve('src/components'))
            .set('layout', resolve('src/layout'))
            .set('base', resolve('src/base'))
            .set('static', resolve('src/static'))
            .set("api", resolve("src/api"))
            .set("utils", resolve("src/utils"))
            .set("views", resolve("src/views"))
            .set("styles", resolve("src/assets/styles"))
            .set("img", resolve("src/assets/img"))
            .set("icons", resolve("src/assets/icons"))
            .set("router", resolve("src/router"))
    },
    configureWebpack: {
        devtool: 'source-map'
    },
    pluginOptions: {
        electronBuilder: {
            nodeIntegration: true,
            builderOptions: {
                appId: 'com.neic.gyee',
                win: {
                    icon: 'src/assets/img/logo.ico'
                },
                linux: {

                }
            }
        }
    }
}